RemoteException (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.ipc
Class RemoteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.ipc.RemoteException

All Implemented Interfaces:
  Serializable

    public class RemoteException

extends IOException

See Also:
  Serialized Form

Constructor Summary
`RemoteException(String className, String msg)`

Method Summary
`String` | `getClassName()`
`IOException` | `unwrapRemoteException()` Instantiate and return the exception wrapped up by this remote exception.
`IOException` | `unwrapRemoteException(Class<?>... lookupTypes)` If this remote exception wraps up one of the lookupTypes then return this exception.
`static RemoteException` | `valueOf(Attributes attrs)` Create RemoteException from attributes

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteException

    public RemoteException(String className,
                           String msg)

Method Detail

### getClassName

    public String getClassName()

### unwrapRemoteException

    public IOException unwrapRemoteException(Class<?>... lookupTypes)

  If this remote exception wraps up one of the lookupTypes then return this exception.

  Unwraps any IOException.

  Parameters:
    `lookupTypes` - the desired exception class.
  Returns:
    IOException, which is either the lookupClass exception or this.

### unwrapRemoteException

    public IOException unwrapRemoteException()

  Instantiate and return the exception wrapped up by this remote exception.

  This unwraps any `Throwable` that has a constructor taking a `String` as a parameter. Otherwise it returns this.

  Returns:
    `Throwable`

### valueOf

    public static RemoteException valueOf(Attributes attrs)

  Create RemoteException from attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation